cURL
请先获取 API Key 并配置为环境变量。
检测图像是否符合 wan2.2-s2v 视频生成模型的人物图像规格要求
curl 'https://dashscope.aliyuncs.com/api/v1/services/aigc/image2video/face-detect' \
--header "Authorization: Bearer $DASHSCOPE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"model": "wan2.2-s2v-detect",
"input": {
"image_url": "https://img.alicdn.com/imgextra/i3/O1CN011FObkp1T7Ttowoq4F_!!6000000002335-0-tps-1440-1797.jpg"
}
}'{
"output": {
"check_pass": true,
"humanoid": true
},
"usage": {
"image_count": 1
},
"request_id": "c56f62df-724e-9c19-96bd-xxxxxx"
}千问云 API Key。详见获取 API Key。
模型名称,固定为 wan2.2-s2v-detect。
输入图像参数。
显示子属性
待检测图像的公网可访问 URL。
图像要求:
<Tip>如需将本地图像上传获取临时 URL,请参考上传文件获取临时 URL。</Tip>
请求唯一标识符,用于链路追踪和问题排查。
curl 'https://dashscope.aliyuncs.com/api/v1/services/aigc/image2video/face-detect' \
--header "Authorization: Bearer $DASHSCOPE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"model": "wan2.2-s2v-detect",
"input": {
"image_url": "https://img.alicdn.com/imgextra/i3/O1CN011FObkp1T7Ttowoq4F_!!6000000002335-0-tps-1440-1797.jpg"
}
}'{
"output": {
"check_pass": true,
"humanoid": true
},
"usage": {
"image_count": 1
},
"request_id": "c56f62df-724e-9c19-96bd-xxxxxx"
}